%define		mainver 0.7
Summary:	Untrusted/encrypted backup using rsync algorithm
Summary(pl.UTF-8):	Wykonywanie szyfrowanych kopii zapasowych przy użyciu algorytmu rsync
Name:		duplicity
Version:	%{mainver}.18.2
Release:	3
License:	GPL v2
Group:		Applications/Archiving
Source0:	http://code.launchpad.net/duplicity/%{mainver}-series/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	a5d16cc0a95f0fd2bb309cd0b8015945
Patch0:		%{name}-backend-search.patch
URL:		http://www.nongnu.org/duplicity/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	librsync-devel >= 0.9.6
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	gnupg
Requires:	python >= 1:2.3
Requires:	python-lockfile
Requires:	python-modules
Requires:	python-pexpect >= 2.1
Suggests:	lftp
Suggests:	ncftp
Suggests:	python-boto >= 0.9d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Duplicity incrementally backs up files and directory by encrypting
tar-format volumes with GnuPG and uploading them to a remote (or
local) file server. In theory many remote backends are possible; right
now only the local or ssh/scp backend is written. Because duplicity
uses librsync, the incremental archives are space efficient and only
record the parts of files that have changed since the last backup.
Currently duplicity supports deleted files, full Unix permissions,
directories, symbolic links, fifos, etc., but not hard links.

%description -l pl.UTF-8
Duplicity wykonuje przyrostowe kopie zapasowe plików i katalogów
poprzez szyfrowanie archiwów w formacie tar przy pomocy GnuPG i
przesyłanie ich na zdalny (lub lokalny) serwer plików. W teorii można
użyć wiele zdalnych backendów; aktualnie napisane są tylko backendy
lokalny oraz ssh/scp. Ponieważ duplicity używa librsync, przyrostowe
archiwa wydajnie wykorzystują miejsce dzięki zapisywaniu tylko tych
części plików, które zmieniły się od wykonywania poprzedniej kopii.
Aktualnie duplicity obsługuje pliki skasowane, pełny uniksowy system
uprawnień, katalogi, dowiązania symboliczne, nazwane potoki itp. - ale
nie twarde dowiązania.

%prep
%setup -q
%patch0 -p1

%{__sed} -E -i -e '1s,#!\s*/usr/bin/env\s+python2(\s|$),#!%{__python}\1,' \
      bin/duplicity \
      bin/rdiffdir \

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

# Remove %{_datadir}/locale/io/LC_MESSAGES. It's not yet supported.
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/io

%{__rm} -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%py_postclean

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*
%dir %{py_sitedir}/duplicity
%dir %{py_sitedir}/duplicity/backends
%dir %{py_sitedir}/duplicity/backends/pyrax_identity
%{py_sitedir}/duplicity/*.py[co]
%{py_sitedir}/duplicity/backends/*.py[co]
%{py_sitedir}/duplicity/backends/pyrax_identity/*.py[co]
%attr(755,root,root) %{py_sitedir}/duplicity/*.so
%if "%{pld_release}" != "ac"
%{py_sitedir}/duplicity-*.egg-info
%endif
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/duplicity.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> eca0423
- rebuild with separate debuginfo build-ids

* Thu Mar 04 2021 Jan Rękorajski <baggins@pld-linux.org> cb68b1e
- rediff patches
- fix shebangs
- rel 2

* Fri Oct 19 2018 Adam Gołębiowski <adamg@pld-linux.org> dc077a7
- updated to 0.18.2

* Wed Apr 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ec1455
- up to 0.7.17

* Sun Jan 15 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 030a7a2
- Update to 0.7.11

* Mon Sep 19 2016 Jacek Konieczny <jajcus@jajcus.net> 07ee0e7
- remove obsolete dependency

* Sun Sep 18 2016 Jacek Konieczny <jajcus@jajcus.net> b689832
- Version: 0.7.10

* Tue May 10 2016 Patryk Szczygłowski <patryk@patryk.net> 18903ec
- up to version 0.7.07.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 09711e7
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4a94b72
- automatic change: use py_build/py_install macros

* Mon Jul 20 2015 Patryk Szczygłowski <patryk@patryk.net> 7000500
- upgrade to 0.6.26, add missing req

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 9eb12f3
- fix install

* Sun Nov 09 2014 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> f29f199
- Updated to 0.6.24

* Fri Jun 22 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 028ae54
- updated to 0.6.19

* Mon Oct 31 2011 Jarosław Kruk <jareq@pld-linux.org> 0ae6c90
- updated to 0.6.16

* Sun Apr 24 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 2a3d997
- updated to 0.6.13

* Mon Sep 27 2010 qwiat <qwiat@pld-linux.org> 616b962
- updated to 0.6.10

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9091aff
- release 3

* Wed Mar 17 2010 qwiat <qwiat@pld-linux.org> ab5a57d
- fixed mistake (BR -> R) mea culpa

* Wed Mar 17 2010 qwiat <qwiat@pld-linux.org> f3031a7
- updated
- python-pexpect now in Requires:
- adapterized

